TigerXMLHeader (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.reader
Class TigerXMLHeader

    java.lang.Object
      org.maltparser.core.syntaxgraph.reader.TigerXMLHeader

    public class TigerXMLHeader

extends Object

Author:
  Johan Hall

Nested Class Summary
`static class` | `TigerXMLHeader.Domain`
`protected class` | `TigerXMLHeader.FeatureEdgeLabel`

Constructor Summary
`TigerXMLHeader(SymbolTableHandler symbolTableHandler)`

Method Summary
`void` | `addEdgeLabelValue(String name)`
`void` | `addEdgeLabelValue(String name, String desc)`
`void` | `addFeature(String featureName, String domainName)`
`void` | `addFeatureValue(String featureName, String name)`
`void` | `addFeatureValue(String featureName, String name, String desc)`
`void` | `addSecEdgeLabelValue(String name)`
`void` | `addSecEdgeLabelValue(String name, String desc)`
`String` | `getCorpusID()`
`String` | `getCorpusVersion()`
`String` | `getExternal()`
`String` | `getMetaAuthor()`
`String` | `getMetaCurrentDate()`
`String` | `getMetaCurrentDate(String format)`
`String` | `getMetaDescription()`
`String` | `getMetaFormat()`
`String` | `getMetaHistory()`
`String` | `getMetaInDate()`
`String` | `getMetaName()`
`SymbolTableHandler` | `getSymbolTableHandler()`
`boolean` | `isTigerXMLWritable()`
`void` | `setCorpusID(String corpusID)`
`void` | `setCorpusVersion(String corpusVersion)`
`void` | `setExternal(String external)`
`void` | `setMeta(String metaElement, String value)`
`void` | `setMetaAuthor(String metaAuthor)`
`void` | `setMetaDescription(String metaDescription)`
`void` | `setMetaFormat(String metaFormat)`
`void` | `setMetaHistory(String metaHistory)`
`void` | `setMetaInDate(String metaInDate)`
`void` | `setMetaName(String metaName)`
`protected void` | `setSymbolTableHandler(SymbolTableHandler symbolTableHandler)`
`String` | `toString()`
`String` | `toTigerXML()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TigerXMLHeader

    public TigerXMLHeader(SymbolTableHandler symbolTableHandler)

Method Detail

### isTigerXMLWritable

    public boolean isTigerXMLWritable()

### addFeature

    public void addFeature(String featureName,
                           String domainName)

### addFeatureValue

    public void addFeatureValue(String featureName,
                                String name)

### addFeatureValue

    public void addFeatureValue(String featureName,
                                String name,
                                String desc)

### addEdgeLabelValue

    public void addEdgeLabelValue(String name)

### addEdgeLabelValue

    public void addEdgeLabelValue(String name,
                                  String desc)

### addSecEdgeLabelValue

    public void addSecEdgeLabelValue(String name)

### addSecEdgeLabelValue

    public void addSecEdgeLabelValue(String name,
                                     String desc)

### getCorpusID

    public String getCorpusID()

### setCorpusID

    public void setCorpusID(String corpusID)

### getCorpusVersion

    public String getCorpusVersion()

### setCorpusVersion

    public void setCorpusVersion(String corpusVersion)

### setExternal

    public void setExternal(String external)

### getExternal

    public String getExternal()

### setMeta

    public void setMeta(String metaElement,
                        String value)

### getMetaName

    public String getMetaName()

### setMetaName

    public void setMetaName(String metaName)

### getMetaAuthor

    public String getMetaAuthor()

### setMetaAuthor

    public void setMetaAuthor(String metaAuthor)

### getMetaDescription

    public String getMetaDescription()

### setMetaDescription

    public void setMetaDescription(String metaDescription)

### getMetaInDate

    public String getMetaInDate()

### getMetaCurrentDate

    public String getMetaCurrentDate()

### getMetaCurrentDate

    public String getMetaCurrentDate(String format)

### setMetaInDate

    public void setMetaInDate(String metaInDate)

### getMetaFormat

    public String getMetaFormat()

### setMetaFormat

    public void setMetaFormat(String metaFormat)

### getMetaHistory

    public String getMetaHistory()

### setMetaHistory

    public void setMetaHistory(String metaHistory)

### getSymbolTableHandler

    public SymbolTableHandler getSymbolTableHandler()

### setSymbolTableHandler

    protected void setSymbolTableHandler(SymbolTableHandler symbolTableHandler)

### toTigerXML

    public String toTigerXML()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.